/*
    Sample solution for St. Ives
    Steven J Zeil
 */


#include <fstream>
#include <iomanip>
#include <iostream>

using namespace std;







void stIves (istream& in)
{
  double multiplier;
  while (true) 
    {
      in >> multiplier;
      if (multiplier <= 0)
	break;

      double total = 1.0; // man
      total += multiplier; // wives
      total += multiplier*multiplier; // sacks
      total += multiplier*multiplier*multiplier; // cats
      total += multiplier*multiplier*multiplier*multiplier; // kittens

      cout << fixed << setprecision(2) << total << endl;
    }
}


int main (int argc, char** argv)
{
  if (argc == 1)
    stIves(cin);
  else
    {
      ifstream in (argv[1]);
      stIves (in);
    }
  return 0;
}


